%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname jboss-servlet-api_3.1_spec

Name:             jboss-servlet-3.1-api
Version:          1.0.2
Release:          %mkrel 3
Group:            Development/Java
Summary:          Java Servlet 3.1 API
License:          (CDDL or GPLv2 with exceptions) and ASL 2.0

URL:              https://github.com/jboss/jboss-servlet-api_spec
Source0:          %{url}/archive/%{oname}-%{namedversion}.tar.gz
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:          https://repository.jboss.org/licenses/cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The Java Servlet 3.1 API classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-servlet-api_spec-%{oname}-%{namedversion}

cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE cddl.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt LICENSE-2.0.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-3.mga9
+ Revision: 1827441
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1536305
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1453773
- Update to version 1.0.2

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1262685
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1102702
- New version 1.0.0.Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.5.Beta1.1.mga6
+ Revision: 977126
- sync package jboss-servlet-3.1-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.3.Beta1.4.mga5
+ Revision: 747242
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-0.3.Beta1.2.mga4
+ Revision: 541948
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.0.0-0.3.Beta1.1.mga4
+ Revision: 496564
- imported package jboss-servlet-3.1-api

